ChargebeeAPI
Using AI coding agents like Claude Code or Cursor? Try the official Chargebee Agent Skills to speed up your development.Try now

List hosted pages

Try in API Explorer

This API retrieves the list of hosted page resources.

Sample Request

URL Format

GET https://[site].chargebee.com/api/v2/hosted_pages

Input Parameters

limit
optional, integer, default=10, min=1, max=100

The number of resources to be returned.

offset
optional, string, max chars=1000

Determines your position in the list for pagination. To ensure that the next page is retrieved correctly, always set offset to the value of next_offset obtained in the previous iteration of the API call.

Filter Params

For operator usages, see the Pagination and Filtering section.
id[<operator>]

optional, string filter

Unique identifier generated for each hosted page requested. Supported operators : is, is_not, starts_with, in, not_in

Example → id[is] = "Edi69nxpu6BeGBd9Fjcd0tqCSwb0sRcuKa"

Supported operators: is, is_not, starts_with, in, not_in
Example Edi69nxpu6BeGBd9Fjcd0tqCSwb0sRcuKa
type[<operator>]

optional, enumerated string filter

Type of the requested hosted page. Possible values are : checkout_new, checkout_existing, update_payment_method, manage_payment_sources, collect_now, extend_subscription, checkout_one_time, pre_cancel.

Supported operators : is, is_not, in, not_in

Example → type[is_not] = "checkout_new"

Supported operators: is, is_not, in, not_in
Example checkout_new
state[<operator>]

optional, enumerated string filter

Indicating the current state of the hosted page resource. Possible values are : created, requested, succeeded, cancelled, acknowledged.

Supported operators : is, is_not, in, not_in

Example → state[is] = "succeeded"

Supported operators: is, is_not, in, not_in
Example succeeded
updated_at[<operator>]

optional, timestamp(UTC) in seconds filter

Timestamp indicating when this hosted page was last updated. Supported operators : after, before, on, between

Example → updated_at[on] = "1490784813"

Supported operators: after, before, on, between
Example 1490784813

Returns

next_offsetoptional, string, max chars=1000

This attribute is returned only if more resources are present. To fetch the next set of resources use this value for the input parameter offset.

hosted_pageHosted page object
Resource object representing hosted_page